
number Si_bcgrd_Start = 1660
number Si_bcgrd_Width = 180
number Si_bcgrd_End = Si_bcgrd_Start + Si_bcgrd_Width

number Si_signal_Start = 1820
number Si_signal_Width = 40
number Si_signal_End = Si_signal_Start + Si_signal_Width

image data := getFrontImage()
number scale = data.ImageGetDimensionScale(0)
string units = data.ImageGetDimensionUnitString(0)

image Si = ExtractEELSSignal112(data,Si_bcgrd_Start,Si_bcgrd_End,Si_signal_Start,Si_signal_End)
Si.imagesetName("Si")
Si.ImageSetDimensionCalibration(0,0,scale,units,1)
Si.ImageSetDimensionCalibration(1,0,scale,units,1)
Si.showimage()

number Ge_bcgrd_Start = 1100
number Ge_bcgrd_Width = 110
number Ge_bcgrd_End = Ge_bcgrd_Start + Ge_bcgrd_Width

number Ge_signal_Start = 1220
number Ge_signal_Width = 60
number Ge_signal_End = Ge_signal_Start + Ge_signal_Width

image Ge = ExtractEELSSignal112(data,Ge_bcgrd_Start,Ge_bcgrd_End,Ge_signal_Start,Ge_signal_End)
Ge.imagesetName("Ge")
Ge.ImageSetDimensionCalibration(0,0,scale,units,1)
Ge.ImageSetDimensionCalibration(1,0,scale,units,1)
Ge.showimage()
